//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// PlayGui is the main TSControl through which the game is viewed.
// The PlayGui also contains the hud controls.
//-----------------------------------------------------------------------------

function PlayGui::onWake(%this)
{
   // Turn off any shell sounds...
   // alxStop( ... );

   $enableDirectInput = "1";
   activateDirectInput();

   // Message hud dialog
   Canvas.pushDialog( MainChatHud );
   chatHud.attach(HudMessageVector);

   // just update the action map here
   moveMap.push();
   
   // hack city - these controls are floating around and need to be clamped
   schedule(0, 0, "refreshCenterTextCtrl");
   schedule(0, 0, "refreshBottomTextCtrl");

   //-------------------------------
   // COGMAC
   //-------------------------------

   lstGender.clear();
   lstGender.add( "MALE", 0 );
   lstGender.add( "FEMALE", 1 );
   lstGender.setSelected( 0 );

   CommandToServer( 'LogInfo', "OS", getOSName() );
   CommandToServer( 'LogInfo', "Processor", getProcessor() );

   lstProfile.clear();
   lstProfile.addRow( 0, "Waiting for other player to submit survey..." );
   lstProfile.receivedReport = false;
   lstProfile.otherQuit = false;

   dlgSurvey.setVisible(false);
   dlgProfile.setVisible(false);

   txtAdjective1.setText("");
   txtAdjective2.setText("");
   txtAdjective3.setText("");
   txtWhereFrom.setText("");
   txtOccupation.setText("");
   txtBreakfast.setText("");
   txtProblems.setText("");

   sldAge.setValue(50);
   sldIntelligent.setValue(5);
   sldFunny.setValue(5);
   sldConsiderate.setValue(5);
   sldHonest.setValue(5);
   sldWellSpoken.setValue(5);
   sldPatient.setValue(5);

   // Set 45 min cutoff time for game, after a customer has joined.
   if( strstr( txtObjective.role, "CUSTOMER" ) > -1 )
   {
      ///schedule( 60 * 45 * 1000, 0, disconnect );
   }

   //-------------------------------
   // COGMAC
   //-------------------------------
}

function PlayGui::onSleep(%this)
{
   Canvas.popDialog( MainChatHud  );
   
   // pop the keymaps
   moveMap.pop();
}


//-----------------------------------------------------------------------------

function refreshBottomTextCtrl()
{
   BottomPrintText.position = "0 0";
}

function refreshCenterTextCtrl()
{
   CenterPrintText.position = "0 0";
}

//--------------------------------------------------------------------------
// COGMAC
//--------------------------------------------------------------------------

// object selection additions
function PlayGui::onMouseDown(%this)
{
   if( !$GameplayEnabled ) return;

   %mousePos = %this.getMousePos();

   // mouseVec = vector from camera point to 3d mouse coords (normalized)
   %mouseVec = %this.getMouse3DVec();

   // cameraPoint = the world position of the camera
   %cameraPoint = %this.getMouse3DPos();

   commandToServer('SelectObject', %mousePos, %mouseVec, %cameraPoint);
}

function PlayGui::onRightMouseDown(%this)
{
   mousemod( 1 );
}

function PlayGui::onRightMouseUp(%this)
{
   mousemod( 0 );
}

function PlayGui::onRightMouseDraggedX(%this, %val)
{
   yaw(%val);
}

function PlayGui::onRightMouseDraggedY(%this, %val)
{
   pitch(%val);
}

//--------------------------------------------------------------------------
// COGMAC
//--------------------------------------------------------------------------
